4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallDocs

Classes: InstallDocs, Stylesheet |  |  |  | Globals: DEBUG

## Classes

class InstallDocs(distutils.cmd.Command)
  Base class for install sub-commands which install documentation.

  ### Methods

  copy_uri(self, uri, filename)
    Copies the contents of the resource given by 'uri' to 'filename'.
  finalize_options(self)
    Overrides: finalize_options from class Command
  get_documents(self)
  get_inputs(self)
  get_modification_time(self, uri, xslt=False, _mtimes=None)
  get_outputs(self)
  get_source_files(self)
  get_stylesheet_extras(self, stylesheet)
  get_stylesheet_obj(self, stylesheet)
  initialize_options(self)
    Overrides: initialize_options from class Command
  render_document(self, document, stylesheet, outfile)
    This method is responsible for using 'stylesheet' to transform 'document' to the file 'outfile'.

        Override this method to use a different XSLT rendering engine.

  render_documents(self)
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force', 'skip-build']
  user_options = [('install-dir=', 'd', 'directory to install documentation to'), ('build-dir=', 'b', 'build directory (where to install from)'), ('force', 'f', 'force installation (overwrite existing files)'), ('skip-build', None, 'skip the build steps')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands
class Stylesheet
  Class used to hold various attributes of an XSLT stylesheet.

  ### Methods

  __init__(self, uri, extra_outputs=None, mtime=None)

## Globals

DEBUG = None